set (CMAKE_SYSTEM_NAME Generic)

# specify the cross compiler
set (CMAKE_C_COMPILER arm-none-eabi-gcc)
set (CMAKE_CXX_COMPILER arm-none-eabi-g++)
set (CMAKE_AR:FILEPATH arm-none-eabi-ar)
set (CMAKE_RANLIB:FILEPATH arm-none-eabi-ranlib)

# where is the target environment
set (CMAKE_FIND_ROOT_PATH /usr/arm-none-eabi)

# search for programs in the build host directories
set (CMAKE_FIND_ROOT_PATH_MODE_PROGRAM NEVER)
# for libraries and headers in the target directories
set (CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)
set (CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)
set (CMAKE_FIND_ROOT_PATH_MODE_PACKAGE ONLY)


